import React from 'react'
import useDocusaurusContext from '@docusaurus/useDocusaurusContext'

const DownloadLabel = ({ props }) => {
  return (<a download={`https://fitko.uber.space/${version}/${props.artifact}`}>
        herunterladen
      </a>)
}

export default function ({ props }) {
  const { siteMetadata } = useDocusaurusContext()

  return (
    <span>
      <code>{siteMetadata.siteVersion || 'next'}</code>&nbsp;
      {siteMetadata.siteVersion ? (
        <DownloadLabel version={siteMetadata.siteVersion} artifact={props.artifact} />
      ) : undefined }
    </span>
  )

}