import React, { useEffect } from 'react'
import mermaid from 'mermaid'

mermaid.initialize({
  startOnLoad: true,
  sequence: { showSequenceNumbers: true },
})
const Mermaid = ({ children }) => {
  useEffect(() => {
    mermaid.contentLoaded()
  }, [])
  return (
    <div>
      <div className="mermaid">{children}</div>
    </div>
  )
}

export default Mermaid
